--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: thread
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: trigger_time
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Timer saving associated thread. This is needed because we trigger timers from a Ruby signal handler and Ruby signals are always delivered to main thread.
constants: []

full_name: SystemTimer::ThreadTimer
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: ThreadTimer
superclass: Object
